# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize glib2-devel pkgconfig(glib-2.0) pkgconfig(gtk+-2.0) pkgconfig(libglade-2.0) pkgconfig(libnotify) pkgconfig(libxml-2.0)
# END SourceDeps(oneline)
Summary(ru_RU.UTF-8): Программа записи CD/DVD-дисков для GNOME.
Name:           gnomebaker
Version:        0.6.4
Release:        alt2_17
Summary:        GNOME CD/DVD burner

Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://sourceforge.net/projects/gnomebaker
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libgnomeui-devel >= 2.10.0
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gettext
BuildRequires:	perl(XML/Parser.pm)
BuildRequires:	scrollkeeper
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	ImageMagick

Requires:	dvd+rw-tools
Requires:	wodim => 1.1.6
Requires:	genisoimage => 1.1.6
Requires:	icedax => 1.1.6
Requires:	gst-plugins-base >= 0.10
Requires:	gst-plugins-good >= 0.10

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Patch0: gnomebaker-0.6.4-mimetype.patch
Patch1: gnomebaker-0.6.4-nograce.patch
Patch2: gnomebaker-0.6.4-seldata.patch
Patch3: gnomebaker-0.6.4-ldadd.patch
Patch4: gnomebaker-0.6.4-iconname.patch
Source44: import.info

%description
CD/DVD burner designed for the GNOME desktop.


%prep
%setup -q
%patch0 -p1 -b .mimetype
%patch1 -p1 -b .nograce
%patch2 -p1 -b .seldata
%patch3 -p1 -b .ldadd
%patch4 -p1 -b .iconname
chmod 644 AUTHORS TODO


%build
export LDFLAGS="-export-dynamic"
%configure --enable-libnotify=no
make %{?_smp_mflags}

# The icon in pixmaps dir is actually 100x100 and Xfce doesn't scale it well
mv pixmaps/gnomebaker-48.png pixmaps/gnomebaker-100.png
convert -scale 16x16 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-16.png
convert -scale 24x24 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-24.png
convert -scale 32x32 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-32.png
convert -scale 48x48 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-48.png
convert -scale 64x64 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-64.png
convert -scale 72x72 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-72.png
convert -scale 96x96 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-96.png

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# Remove duplicate docs.
rm -rf $RPM_BUILD_ROOT/usr/doc/%{name}/

desktop-file-install --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

install -D pixmaps/gnomebaker-16.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D pixmaps/gnomebaker-24.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -D pixmaps/gnomebaker-32.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D pixmaps/gnomebaker-48.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D pixmaps/gnomebaker-64.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -D pixmaps/gnomebaker-72.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/72x72/apps/%{name}.png
install -D pixmaps/gnomebaker-96.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}-48.png

%files -f %{name}.lang
%doc AUTHORS COPYING TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/72x72/apps/%{name}.png
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/


%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.4-alt2_17
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.4-alt2_16
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.4-alt2_15
- initial fc import

* Fri Feb 27 2009 Alexey Rusakov <ktirf@altlinux.org> 0.6.4-alt2
- Removed deprecated post/postun scripts.

* Tue Sep 02 2008 Alexey Rusakov <ktirf@altlinux.org> 0.6.4-alt1
- new version (0.6.4)
- corrected License tag
- added Packager tag
- fixed autoconf'ing

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gnomebaker

* Sat Oct 13 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.2-alt1
- new version (0.6.2)
- updated Source URL.
- added a patch that removes gracetime option from cdrecord invocations
  (ALT Bug #10821).

* Sat Jun 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.1-alt1
- updated Source URL
- use more path macros
- updated dependencies

* Mon Sep 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.5.2-alt0.cvs20060905.1
- fixed dependencies
- fixed configure process
- fixed building with older Gtk+ (for backports).

* Tue Sep 05 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.5.2-alt0.cvs20060905
- pre-0.5.2 CVS version
- added gstreamer-0.10 support
- fixed bugs #

* Thu Apr 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.5.1-alt1
- new version (0.5.1)

* Wed Jul 20 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.4-alt1
- New upstream version.

* Sat May 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.3-alt1
- Initial Sisyphus package.

